Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
PUTPCI Device OperationsSince 3.5.0SynchronousAuth Required

UpdateMdevDeviceSpec

UpdateMdevDeviceSpec

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatemdevdevicespecObjectRequired

    updatemdevdevicespec request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • stateString

      Optional. The MDEV specification state.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryMdevDeviceSpecInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • specificationStringRequired

      The specification details.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeMdevDeviceTypeRequired

      See type.

      • GPU_Video_ControllerMdevDeviceTypeRequired

        The GPU video controller.

    • stateMdevDeviceSpecStateRequired

      See state.

      • EnabledMdevDeviceSpecStateRequired

        The MDEV device specification is enabled.

      • DisabledMdevDeviceSpecStateRequired

        The MDEV device specification is disabled.

Endpoint

PUT/zstack/v1/mdev-device-specs/{uuid}/actions

/zstack/v1/mdev-device-specs/{uuid}/actions

Operation ID

UpdateMdevDeviceSpec

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/mdev-device-specs/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatemdevdevicespec":{"name":"<name>","description":"<description>","state":"<state>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "7cb7791f5c334fa699670765199e47ae", "name": "GRID_M60-2A", "specification": "{Max Resolution\u003d1920*1080, GRID License\u003dGRID-Virtual-Apps,3.0, Instance Number\u003d4, Display Heads\u003d4, Vendor\u003dNVIDIA, Frame Rate Limit\u003d60FPS, Name\u003dGRID_M60-2A, RAM\u003d2048MB}", "type": "GPU_Video_Controller", "state": "Enabled", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history